Package org.eclipse.equinox.bidi.internal

# Class StructuredTextActivator

java.lang.Object
org.eclipse.equinox.bidi.internal.StructuredTextActivator

All Implemented Interfaces:
  `BundleActivator`

public class StructuredTextActivator extends Object implements BundleActivator
Provides services related to OSGi bundles.

## Constructor Summary

Constructors
Constructor
Description
`StructuredTextActivator()`

## Method Summary

Modifier and Type
Method
Description
`Locale`
`getDefaultLocale()`
`static StructuredTextActivator`
`getInstance()`
`static String`
`getProperty(String key)`
Returns the value of the specified property.
`static void`
`logError(String message, Exception e)`
`void`
`start(BundleContext context)`
`void`
`stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructuredTextActivator

public StructuredTextActivator()

## Method Details

### start

public void start(BundleContext context) throws Exception

Specified by:
  `start` in interface `BundleActivator`
Throws:
  `Exception`

### stop

public void stop(BundleContext context) throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Throws:
  `Exception`

### getInstance

public static StructuredTextActivator getInstance()

Returns:
  the bundle instance, or `null` iff OSGi is not running

### getProperty

public static String getProperty(String key)
Returns the value of the specified property. If OSGi is not running or the key is not found in the Framework properties, the system properties are then searched.

This method can be used without OSGi running.

Parameters:
  `key` - the name of the requested property
Returns:
  the value of the requested property, or `null` if the property is undefined

### getDefaultLocale

public Locale getDefaultLocale()

### logError

public static void logError(String message, Exception e)